Bug 527813 - ALSA cannot submit datapipe for urb 0, error -28: not enough bandwidth
Summary: ALSA cannot submit datapipe for urb 0, error -28: not enough bandwidth
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 16
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 654034 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-10-07 19:13 UTC by John Reiser
Modified: 2012-04-02 19:15 UTC (History)
12 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-03-22 17:59:26 UTC


Attachments (Terms of Use)
/proc/bus/usb/devices (9.58 KB, text/plain)
2009-10-07 19:13 UTC, John Reiser
no flags Details
attachment info from /var/log/messages (3.35 KB, text/plain)
2009-10-07 19:16 UTC, John Reiser
no flags Details
lsusb -v (59.71 KB, text/plain)
2009-10-07 21:41 UTC, John Reiser
no flags Details
lsusb -v (43.54 KB, text/plain)
2010-07-18 12:14 UTC, Jan Kratochvil
no flags Details
/var/log/messages (88.86 KB, text/plain)
2010-11-05 00:15 UTC, John Reiser
no flags Details
/var/log/messsages at plugin of USB docking station (13.09 KB, text/plain)
2011-10-14 03:42 UTC, John Reiser
no flags Details
lsusb -v (28.44 KB, text/plain)
2011-10-14 03:48 UTC, John Reiser
no flags Details
syslog (/var/log/messages) at hotplug of USB docking station (10.66 KB, text/plain)
2012-03-22 17:48 UTC, John Reiser
no flags Details
dmesg (55.66 KB, text/plain)
2012-04-02 19:15 UTC, Joel F
no flags Details

Description John Reiser 2009-10-07 19:13:46 UTC
Created attachment 364024 [details]
/proc/bus/usb/devices

Description of problem: ALSA complains in /var/log/messages when I plug in a USB2.0 hub that has an internal audio device.


Version-Release number of selected component (if applicable):
kernel-2.6.31.1-56.fc12.x86_64

How reproducible:


Steps to Reproduce:
1. hotplug USB2.0 hub with internal audio device
2.
3.
  
Actual results:
kernel: ALSA sound/usb/usbaudio.c:882: cannot submit datapipe for urb 0, error -28: not enough bandwidth


Expected results: no complaints


Additional info: the hub is "Bus=01 Lev=02" in the attached output from /proc/bus/usb/devices.  Notice that the hub itself (and the internally connected video and ethernet devices, as well as the four empty ports on the hub) is high speed (480Mb/s) while the audio device is only full speed (12Mb/s).

Comment 1 John Reiser 2009-10-07 19:16:23 UTC
Created attachment 364025 [details]
attachment info from /var/log/messages

Here is the record of the events in /var/log/messages when the hub is attached.

Comment 2 Chuck Ebbert 2009-10-07 21:10:56 UTC
Can you also attach the output of 'lsusb -v'?

Comment 3 John Reiser 2009-10-07 21:41:57 UTC
Created attachment 364044 [details]
lsusb -v

Comment 4 Bug Zapper 2009-11-16 13:23:09 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 5 Chris Shoemaker 2010-01-29 20:54:50 UTC
I suspect that this might have regressed between 2.6.29.5-191.fc11.x86_64
and 2.6.30.10-105.2.4.fc11.x86_64.

In my experience, on the former kernel, there are several things that can cause these messages:

  1) BIOS versions later than A14 for the Dell M4400.
  2) Powering the USB hub from the bus, rather than from external power.
  3) Using a USB hub that doesn't have one TT per port.

However, by avoiding those three conditions, I have been able to avoid those messages on 13 identical machines for the past 8 months or so.

Upgrading to 2.6.30.10-105.2.4.fc11.x86_64 is now on the list of things which
cause these messages to appear.

Comment 6 Jan Kratochvil 2010-07-14 05:05:22 UTC
I have seen it on kernel-2.6.33.5-124.fc13.x86_64 but bus1dev7 works now now on
kernel-2.6.33.6-147.fc13.x86_64 , I think it is more random than kernel version dependent, though.
Bus 001 Device 008: ID 093a:2510 Pixart Imaging, Inc. Hama Optical Mouse
Bus 001 Device 007: ID 041e:3010 Creative Technology, Ltd SoundBlaster MP3+
Bus 001 Device 006: ID 04f2:0116 Chicony Electronics Co., Ltd KU-2971 German Keyboard
Bus 001 Device 004: ID 05e3:0608 Genesys Logic, Inc. USB-2.0 4-Port HUB
Bus 001 Device 003: ID 1a40:0101 TERMINUS TECHNOLOGY INC. USB-2.0 4-Port HUB
Bus 001 Device 002: ID 1a40:0101 TERMINUS TECHNOLOGY INC. USB-2.0 4-Port HUB
Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
(lsusb -v upon request)

Comment 7 Jan Kratochvil 2010-07-18 12:14:11 UTC
Created attachment 432694 [details]
lsusb -v

Using:
Bus 001 Device 011: ID 041e:3010 Creative Technology, Ltd SoundBlaster MP3+
# aplay -l
**** List of PLAYBACK Hardware Devices ****
card 0: MP3 [Sound Blaster MP3+], device 0: USB Audio [USB Audio]
  Subdevices: 1/1
  Subdevice #0: subdevice #0

It works after reboot but when I try Twinkle it start to print:
kernel: ALSA sound/usb/usbaudio.c:882: cannot submit datapipe for urb 0, error -28: not enough bandwidth

killall pulseaudio; rmmod snd_usb_audio
unplug+plug USB device
modprobe snd_usb_audio
Does not help.

snd_hda_codec_atihdmi (blacklisted above) seems to play but nothing is heard.

Comment 8 Bug Zapper 2010-11-04 09:35:32 UTC
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 9 John Reiser 2010-11-05 00:15:44 UTC
Created attachment 457973 [details]
/var/log/messages

Comment 10 John Reiser 2010-11-05 00:18:30 UTC
The symptom persists with Fedora 14.  The attachment of Comment #9 has:
   Nov  4 17:13:53 f14-64 kernel: [   45.638196] ALSA sound/usb/urb.c:838: cannot submit datapipe for urb 0, error -28: not enough bandwidth
with the usb device hot-plugged at:
   Nov  4 17:13:52 f14-64 kernel: [   44.424094] usb 2-1: new high speed USB device using ehci_hcd and address 6

Comment 11 John Doe 2011-06-30 15:07:35 UTC
I was working now for 2 day's on the problem:
"cannot submit datapipe for urb 0, error -28: not enough bandwidth".

finally - u cant imagine how simple it was - i found the reason and got my usb-sound back again.

the main reason was the "auto-mute feature" after changing audio source with pulse.

so try to go ahead.
 - open gnome-alsamixer or alsamixer
 - switch to tab USB Mixer
 - and increase master volume (Speaker) from zero to more...

here is the original source for this hint:
http://forum.ubuntuusers.de/topic/medusa-5-1-usb-headset/#post-2532118

looks like the errormessage above has nothing todo with missing sound.

hope this will help.

regards
ds

Comment 12 Jan Kratochvil 2011-07-07 08:05:14 UTC
After I replaced the old Creative Labs USB audio for new noname USB audio devices I (also) no longer see this problem.
ID 041e:30d3 Creative Technology, Ltd
ID 0d8c:000c C-Media Electronics, Inc. Audio Adapter

Comment 13 Joel F 2011-09-20 02:27:38 UTC
This happens to me when I plug an edirol UA25-ex in my system, and it believe it prevent jackd from working out of the box. 

I remember having it work okay before, but now with F15 and F16 alpha it does not work well.

Comment 14 John Reiser 2011-10-14 03:42:31 UTC
Created attachment 528147 [details]
/var/log/messsages at plugin of USB docking station

This persists in Fedora 16 beta; I change Version to 16.  Here are is syslog (/var/log/messages). Note these lines:
-----
Oct 13 20:25:01 f16b64 kernel: [  936.870268] usb 1-5.4: New USB device found, idVendor=0d8c, idProduct=0105
Oct 13 20:25:01 f16b64 kernel: [  936.870273] usb 1-5.4: New USB device strings: Mfr=3, Product=1, SerialNumber=0
Oct 13 20:25:01 f16b64 kernel: [  936.870277] usb 1-5.4: Product: USB Multimedia Audio Device
Oct 13 20:25:01 f16b64 kernel: [  936.870280] usb 1-5.4: Manufacturer: C-Media Electronics Inc.
Oct 13 20:25:01 f16b64 kernel: [  936.871910] input: C-Media Electronics Inc. USB Multimedia Audio Device as /devices/pci0000:00/0000:00:02.1/usb1/1-5/1-5.4/1-5.4:1.3/input/input5
Oct 13 20:25:01 f16b64 kernel: [  936.872297] generic-usb 0003:0D8C:0105.0004: input,hidraw3: USB HID v1.00 Device [C-Media Electronics Inc. USB Multimedia Audio Device] on usb-0000:00:02.1-5.4/input3
Oct 13 20:25:01 f16b64 mtp-probe: bus: 1, device: 4 was not an MTP device
Oct 13 20:25:01 f16b64 mtp-probe: bus: 1, device: 5 was not an MTP device
Oct 13 20:25:01 f16b64 mtp-probe: checking bus 1, device 7: "/sys/devices/pci0000:00/0000:00:02.1/usb1/1-5/1-5.4"
Oct 13 20:25:01 f16b64 mtp-probe: bus: 1, device: 7 was not an MTP device
Oct 13 20:25:01 f16b64 kernel: [  937.035539] ALSA sound/usb/mixer.c:795 9:0: cannot get min/max values for control 2 (id 9)
Oct 13 20:25:01 f16b64 kernel: [  937.035552] ALSA sound/usb/mixer.c:795 10:0: cannot get min/max values for control 2 (id 10)
Oct 13 20:25:01 f16b64 kernel: [  937.035561] ALSA sound/usb/mixer.c:795 11:0: cannot get min/max values for control 2 (id 11)
Oct 13 20:25:01 f16b64 kernel: [  937.037360] usbcore: registered new interface driver snd-usb-audio

Oct 13 20:25:01 f16b64 kernel: [  937.460016] ALSA sound/usb/urb.c:813 cannot submit datapipe for urb 0, error -28: not enough bandwidth
-----

Comment 15 John Reiser 2011-10-14 03:48:10 UTC
Created attachment 528148 [details]
lsusb -v

Comment 16 Brendan Jones 2011-11-08 16:20:19 UTC
I've been experiencing the same problem.

There's a potential fix here with this patch: http://marc.info/?l=linux-usb&m=131973404328622

From what I could ascertain from the lkml I don't think it was merged for 3.2. I will try it when I get my hands back on my UA25EX.

Comment 17 Dave Jones 2012-03-22 16:52:13 UTC
[mass update]
kernel-3.3.0-4.fc16 has been pushed to the Fedora 16 stable repository.
Please retest with this update.

Comment 18 Dave Jones 2012-03-22 16:56:06 UTC
[mass update]
kernel-3.3.0-4.fc16 has been pushed to the Fedora 16 stable repository.
Please retest with this update.

Comment 19 Dave Jones 2012-03-22 17:06:53 UTC
[mass update]
kernel-3.3.0-4.fc16 has been pushed to the Fedora 16 stable repository.
Please retest with this update.

Comment 20 John Reiser 2012-03-22 17:48:12 UTC
Created attachment 572050 [details]
syslog (/var/log/messages) at hotplug of USB docking station

kernel-3.3.0-4.fc16.x86_64 no longer complain like originally.  Here are the syslog lines which result from plugging in the USB docking station.

Comment 21 Joel F 2012-03-23 20:03:49 UTC
Tested with UA25ex in advanced mode. It is now working perfectly.

Very very nice!

Comment 22 Josh Boyer 2012-03-28 13:04:14 UTC
*** Bug 654034 has been marked as a duplicate of this bug. ***

Comment 23 Joel F 2012-04-02 19:15:53 UTC
Created attachment 574601 [details]
dmesg

My problems re-surfaced with kernel 3.3.0-8.fc17
and last kernel to work was 3.3.0-5.fc17

I attached dmesg, from which I had:
1. Booted up.
2. Started a folding@home client
3. Started xorg
4. Attempted to play mp3 trough MPD (actually gave me some seconds of audio)
5. MPD appeared to hang, and would not play upon restarting attempts.
6. Noticed dmesg
7. Tries to unplug USB from USB3.0, into a USB 2.0.
8. Get's the message about 'Not enough bandwidth' again, as pre 3.3.0 kernels.

Is it the same, or a new bug?


Note You need to log in before you can comment on or make changes to this bug.